<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingTop="4dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingBottom="16dp"
        app:layout_constraintTop_toTopOf="parent">

        <com.adealink.weparty.commonui.imageview.AvatarView
            android:id="@+id/iv_avatar"
            android:layout_width="32dp"
            android:layout_height="32dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:gravity="start"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:fontFamily="@font/poppins_semibold"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toTopOf="@id/tv_time"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toEndOf="@id/iv_avatar"
            app:layout_constraintTop_toTopOf="@id/iv_avatar"
            tools:text="Super beautiful Girl" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="start"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FF1D2129"
            android:textSize="11sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@id/iv_avatar"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="@id/tv_name"
            app:layout_constraintTop_toBottomOf="@id/tv_name"
            tools:text="1小时前" />

        <androidx.constraintlayout.widget.Barrier
            android:id="@+id/top_barrier"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:barrierDirection="bottom"
            app:constraint_referenced_ids="iv_avatar,tv_time" />

        <!-- 照片 -->
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_photo"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:visibility="gone"
            app:layout_constraintTop_toBottomOf="@id/top_barrier"
            tools:visibility="visible" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/v_single_photo"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:layout_marginEnd="7dp"
            android:visibility="gone"
            app:layout_constraintTop_toBottomOf="@id/top_barrier"
            tools:visibility="visible">

            <com.adealink.frame.image.view.NetworkImageView
                android:id="@+id/iv_single_img"
                style="@style/CommonNetworkImage"
                android:layout_width="0dp"
                android:layout_height="0dp"
                app:layout_constraintDimensionRatio="1:1"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintWidth_percent="0.5"
                app:roundedCornerRadius="12dp" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <!-- 视频 -->
        <include
            android:id="@+id/v_video"
            layout="@layout/layout_profile_dynamic_video"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/top_barrier"
            tools:visibility="visible" />

        <androidx.constraintlayout.widget.Barrier
            android:id="@+id/media_barrier"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:barrierDirection="bottom"
            app:constraint_referenced_ids="rv_photo,v_single_photo,v_video" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_content"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:gravity="start"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/media_barrier"
            tools:text="Newcomer Report! Hello everyone, I hope to have many friends playing games together here" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_bottom"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="13dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_content">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_talk"
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:layout_marginEnd="20dp"
                android:background="@drawable/common_input_single_edit_bg"
                android:paddingHorizontal="10dp"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/cl_like"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_talk"
                    android:layout_width="22dp"
                    android:layout_height="22dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:srcCompat="@drawable/profile_dynamic_talk_ic" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_talk"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="4dp"
                    android:gravity="start"
                    android:includeFontPadding="false"
                    android:singleLine="true"
                    android:text="@string/profile_dynamic_talk"
                    android:textColor="@color/color_FFC9CDD4"
                    android:textSize="11sp"
                    app:layout_constrainedWidth="true"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@id/iv_talk"
                    app:layout_constraintTop_toTopOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_like"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="20dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/cl_comment"
                app:layout_constraintTop_toTopOf="parent">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_like"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:srcCompat="@drawable/profile_dynamic_like_ic" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_like"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="2dp"
                    android:gravity="start"
                    android:includeFontPadding="false"
                    android:text="@string/profile_dynamic_like"
                    android:textColor="@color/color_FF1D2129"
                    android:textSize="12sp"
                    app:fontFamily="@font/poppins_semibold"
                    app:layout_constrainedWidth="true"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toEndOf="@id/iv_like"
                    app:layout_constraintTop_toTopOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_comment"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_comment"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:srcCompat="@drawable/profile_dynamic_comment_ic" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_comment"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="2dp"
                    android:gravity="start"
                    android:includeFontPadding="false"
                    android:text="@string/profile_dynamic_comment"
                    android:textColor="@color/color_FF1D2129"
                    android:textSize="12sp"
                    app:fontFamily="@font/poppins_semibold"
                    app:layout_constrainedWidth="true"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toEndOf="@id/iv_comment"
                    app:layout_constraintTop_toTopOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>


        <View
            android:id="@+id/v_divider"
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:background="@color/color_FFF1F2F5"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/cl_top" />


    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:id="@+id/v_bottom_divider"
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:background="@color/color_FFF1F2F5"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_top"
        tools:visibility="visible" />
</androidx.constraintlayout.widget.ConstraintLayout>